projects <- tribble(
    ~area, ~accomplishment, ~year, ~where, ~detail,
    "LaDo", "Todo list & Pomodoro Application", 2023, "Singapore", "A todo list developed using Laravel and its technologies",
    
    "FreeRTOS Car", "An embedded systems project", 2023, "Singapore Institute of Technology", "Maze-solving robot car based on FreeRTOS, employing the use of multiple sensor components",
    "Linux Driver Development", "A User & Kernel space communication Application", 2023, "Singapore Institute of Technology", "Linux User-Space and Kernel-Space driver development to allow for hashing and communication",
    "SafeShare", "A safe, distributed file sharing application ", 2023, "Singapore Institute of Technology", "A python-based, scalable and distributed file sharing application coupled with virus scanning technology as a microservice utilising Docker and Kubernetes (K8S)",
    "FormBuilder", "PHP formbuilder library", 2023, "Singapore Institute of Technology", "A form builder PHP library for CodeIgniter4 that provides APIs and frontends to developers",
    "Steganography with Python", "A PoC Application of LSB-based Steganography", 2023, "Singapore Institute of Technology", "Least Significant Bits Steganography application with support for multiple file type Information Hiding",

    "Creality Ender 3 V2 3D Printer", "3D Printer", 2022, "Singapore", "3D Printer powered by a Raspberry Pi to print functional parts for replacement/repair of equipment",
    "Creality Ender 3 V2 3D Printer", "3D Printer", 2022, "Singapore", "Modified and engineered to print different materials at a higher speed and accuracy",
    "Home Server", "DOCKER‑BASED SERVER", 2022, "Singapore", "Decommissioned personal computer recommissioned as a docker‑based server that serves applications like bitwarden and Gitea",
    "Home Network router", "PFSENSE NETWORK ROUTER", 2021, "Singapore", "Installed and configured PFSense router software on decommissioned Personal Computer(PC) to serve as a home network router at home. This allows for better control and configuration of my home network to suite my family’s needs.",
    "Home Network router", "PFSENSE NETWORK ROUTER", 2021, "Singapore", "Services Include — Network Segregation, Load Balancer, DNS Server/Forwarder, Reverse Proxy Server, Wireguard VPN Server",
    "devblog.periodicc.com", "GITLAB‑HOSTED WEBSiTE", 2020, "gitlab.com", "Deployed a website with Gitlab’s CI/CD to serve as a portfolio and a cheatsheet/guide for future code and  configuration references",
    "Home File Server", "FREENAS NETWORK‑ATTACHED STORAGE", 2019, "Singapore", "Installed, configured and secured FreeNAS as a network storage for my family to store files off their devices"
)

certifications <- tribble(
    ~area, ~accomplishment, ~year, ~where, ~detail,
    "Amazon Web Services (AWS)", "AWS Academy Cloud Foundations", "2023", "AWS", NA,
    "Docker", "Docker Fundamentals", "2023", "VMware", NA,
    "Kubernetes", "Kubernetes Fundamentals", "2023", "VMware", NA,
    "JPMorgan Software Engineering Virtual Experience on Forage", "Used perspective data visualization software and Python to monitor stock price trends and create trading strategies.", "October 2022", "JPMorgan Chase & Co.", NA,
    "HackerRank", "SQL(BASIC)", "2022", "HackerRank", NA,
    "HackerRank", "PYTHON(BASIC)", "2022", "HackerRank",NA ,
    "Taekwondo", "SINGAPORE TAEKWONDO FEDERATiON 3RD DAN BLACK BELT", "2019", "Singapore", NA,
    "Taekwondo", "KUKKIWON 1ST DAN BLACK BELT", "2018", "Singapore", NA,
    "Taekwondo", "NATIONAL COACH ACCREDIATION PROGRAM LEVEL 2(TECHNICAL)", "2017", "Singapore", NA
    
)

skills <- tribble(
    ~area, ~skills,
    "Programming Languages", "PYTHON, C, JAVA, SQL, PHP, BASH, RUST, C#",
    "Markup Languages", "CSS, HTML, LaTeX, Markdown",
    "Data Interchange Formats", "CSV, JSON, XML",
    "Operating Systems", "GNU/LINUX, WiNDOWS, FREEBSD VARIENTS, FreeRTOS, ROBOT OPERATING SYSTEM (ROS)",
    "Version Control", "Git",
    # "Text Editors", "SQL SERVER MANAGEMENT STUDIO, VIM, VISUAL STUDIO, VISUAL STUDIO CODE, ECLIPSE",
    "Microsoft Office", "Outlook, OneNote, PowerPoint, Word",
    "Computer Hardware", "RASPBERRY Pi (3B, 4, Pico), 3D PRINTERS, CUSTOM PERSONAL COMPUTERS"
)

honors <- tribble(
    ~area, ~accomplishment, ~year, ~where, ~detail,
)

edu <- tribble(
    ~degree, ~startYear, ~endYear, ~inst, ~where, ~detail,
    "BSC (HONS) COMPUTING SCIENCE", 2022, NA, "Singapore Institute of Technology", "Singapore", "Cumulative Grade Point Average: 4.65/5",
    "Diploma in Cyber Sercurity and Forensics", 2017, 2020, "Nanyang Polytechnic", "Singapore", "Cumulative Grade Point Average: 3.37/4",
    "GCE 'O' Levels ", 2013, 2016, "Balestier Hill Secondary School", "Singapore","Aggregate Score: 13",
)

work <- tribble(
    ~title, ~unit, ~startMonth, ~startYear, ~endMonth, ~endYear, ~where, ~detail,
    "Armament Technician Specialist", "SINGAPORE ARMED FORCES", "July", 2020,  "July", 2022, "Singapore", "Responsible for maintainence and repair of the armament and C4 Systems of the Hunter Armoured Fighting Vehicle",
    "Armament Technician Specialist", "SINGAPORE ARMED FORCES", "July", 2020,  "July", 2022, "Singapore", "Led a sction of 7 ‑ 10 technicians for daily maintenance of vehicles",
    "Student Intern", "CYBER TEST SYSTEMS", "November", 2019,  "Feburary", 2020, "Cyber Test Systems", "Malware Analysis of a 32‑bit Potable executable file",
    "Student Intern", "CYBER TEST SYSTEMS", "November", 2019,  "Feburary", 2020, "Cyber Test Systems", "Log Analysis with security information and event management (SIEM) for the creation of threat signatures based on different cyber attack threat
vectors",
    "Student Intern", "CYBER TEST SYSTEMS", "November", 2019,  "Feburary", 2020, "Cyber Test Systems", "Developed A Raspberry Pi GPS‑based NTP Server",
    "Student Intern", "CYBER TEST SYSTEMS", "November", 2019,  "Feburary", 2020, "Cyber Test Systems", "Depolyed Hybrid Cyber Range (Server Infrastructure) for services that include — File Sharing (SMB), Domain Name Server (DNS), Network time
(NTP)",
    "Administrator", "OLYMPUS LEARNING ACADAMY", "Feburary", 2019,  "March", 2019, "Coursemology.sg", "Website Management and creation of new course pages on the website",
    "Administrator", "OLYMPUS LEARNING ACADAMY", "Feburary", 2019,  "March", 2019, "Coursemology.sg", "Online marketing with email marketing, email automation and Search Engine Optimisation",
    "Administrator", "OLYMPUS LEARNING ACADAMY", "Feburary", 2019,  "March", 2019, "Coursemology.sg", "Front‑end customer service and administration.",
    "Instructor", "JH KIM TAEKWONDO INSTITUDE(MAIN)", "May", 2016,  "June", 2016, "Millenia Walk, Singapore", "Taught Children and Young adults Taekwondo Basic hand and kicking techniques for self defense",
    "Instructor", "Team Spectrum Taekwondo", "August", 2015, "Present", NA, "Singapore", "Taught classes of varying ages —Toddlers ‑ Seniors Taekwondo hand and kicking techniques for self defense",
    "Instructor", "Team Spectrum Taekwondo", "August", 2015, "Present", NA, "Singapore", "Instilling values in younger students",
    "Instructor", "Team Spectrum Taekwondo", "August", 2015, "Present", NA, "Singapore", "Responsible for weekly training sessions for competitive and non‑competitive environments",
)

scholarships <- tribble(
    ~ scholarship, ~ from, ~ year,
    "Singtel Shine Apprentice", "Singtel", 2022
)

competitions <- tribble(
    ~ competition, ~ from, ~ year,
    "StandCon CTF", "NoH4ts", 2023
)

works <- tribble(
    ~area, ~accomplishment, ~year, ~where, ~detail,
)
